#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Black
#property indicator_color2 Yellow
#property indicator_color3 DarkGray
#property indicator_level1 1.00
#property indicator_level2 2.00
#property indicator_level3 3.00
#property indicator_level4 4.00

extern int       myperiod=20;
extern int       mydeviation=2;
extern double    mylevel=1.50;

double ExtMapBuffer[];
double ExtMapBuffer1[];
double ExtMapBuffer2[];

int init()
  {
   SetIndexStyle(0,DRAW_NONE);
   SetIndexBuffer(0,ExtMapBuffer);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtMapBuffer);
   SetIndexStyle(2,DRAW_HISTOGRAM);
   SetIndexBuffer(2,ExtMapBuffer2);
   return(0);
  }

int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
   
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
      ExtMapBuffer[i]=iBands(NULL,0,myperiod, mydeviation,0,PRICE_CLOSE,MODE_UPPER,i)
                     -iBands(NULL,0,myperiod, mydeviation,0,PRICE_CLOSE,MODE_LOWER,i);
   for(i=0; i<limit; i++)
    {
      if(ExtMapBuffer[i]>mylevel)  { ExtMapBuffer1[i]=ExtMapBuffer[i]; ExtMapBuffer2[i]=EMPTY_VALUE;}
      if(ExtMapBuffer[i]<mylevel)  { ExtMapBuffer2[i]=ExtMapBuffer[i]; ExtMapBuffer1[i]=EMPTY_VALUE;}
    }
    return(0);
  }
//+------------------------------------------------------------------+